
/* ************************************************************************
		Copyright (c) 1994-1996 Alex Harper
************************************************************************ */




#include "anitroll.h"

#if !defined (__FLIGHT_H)

#define __FLIGHT_H


/* *************************************************************
************************************************************* */
class flight : public quark {

   public:
      vector3f old_vx, old_vy, old_vz;
      int fraction;
      vector4f angle[4];

      flight() {
         fraction = 0;
         old_vx[0] = 1; old_vx[1] = old_vx[2] = 0;
         old_vy[1] = 1; old_vy[0] = old_vy[2] = 0;
         old_vz[2] = 1; old_vz[0] = old_vz[1] = 0;
      }

      int  parse(FILE *infile, char *token);
      void   whereami(int frameno, molecule **mptr, int *obcount, int wflag, quark *actors,
			quark *parent = (quark *)NULL, vector4f *mx = (vector4f *)NULL);
      whatamitype whatami() { return FLIGHT; }
};


#endif
