
/* ************************************************************************
		Copyright (c) 1994-1996 Alex Harper
************************************************************************ */

/* *************************************************************
************************************************************* */

#include "texture.h"
#include <time.h>
/* **************************************************
   main: program controller
************************************************** */
void main (int argc, char *argv[]) {

   texture      *tex;
   int WINX, WINY;
   AOGLwindow gwindow;

   if (argc < 2) {
      printf("usage: viewer <rgb>\n");
      exit(0);
   }

   tex = new texture;
   if (!tex->read_texture(argv[1], 1))
      exit(0);

   WINX = tex->query_x();
   WINY = tex->query_y();

   gwindow.AOGLreset(argc, argv, WINX, WINY, "Viewer");

   gwindow.AOGLbitblt(&tex->tob);

   delete tex;

   gwindow.ALEXcancel();
}
