
/* ************************************************************************
		Copyright (c) 1994-1996 Alex Harper
************************************************************************ */

/* **************************************************
   this prints 1 scan line for black&white
************************************************** */


{

   if (nflagray) {
      mtempz[0] = ptr->pt1[2];
      mdeltaz = (qtr->pt1[2] - ptr->pt1[2]) / (qtr->pt1[0] - ptr->pt1[0]);
   }

   if (ptr->deltax > 0)
      if (round(ptr->pt2[1]) <= scany+1)
         mtemp[0] = round(ptr->pt2[0]);
      else
         mtemp[0] = round(ptr->pt1[0] + ptr->deltax);
   else
      if (round(ptr->pt1[1]) != scany)
         mtemp[0] = round(ptr->pt1[0] - ptr->deltax);
      else
         mtemp[0] = mtempx[0];

   mtemp[1] = mtempx[1];

   if (qtr->deltax < 0)
      if (round(qtr->pt2[1]) <= scany+1)
         mtempx[1] = round(qtr->pt2[0]);
      else
         mtempx[1] = round(qtr->pt1[0] + qtr->deltax);
   else
      if (round(qtr->pt1[1]) != scany)
         mtempx[1]  = round(qtr->pt1[0] - qtr->deltax);
      else
         mtempx[1] = mtemp[1];

   if (nflagray)
      mtempz[1] = qtr->pt1[2] + (mtempx[1]-mtemp[1])*mdeltaz;

   if (mtempx[0] == mtemp[0])
      mtemp[0]++;

   if (mtempx[1] == mtemp[1])
      mtempx[1]--;

   if (mtemp[0] > mtemp[1]) {
      mtemp[0]  = mtemp[1];
      mtempx[1] = mtemp[1];
   }

   else
      if (mtempx[1] < mtemp[0]) {
         mtemp[0] = mtemp[1];
         mtempx[1] = mtemp[1];
      }

   for (i=0; i<2; i++) {
      for (j=mtempx[i]; j<mtemp[i]; j++) {

         if (flagray) {
            surface[0] = j;
            surface[2] = engine(ob->normal[ptr->color], surface, parm);
         }

         else {
            surface[2] = mtempz[i];
            mtempz[i] += mdeltaz;
         }

         if (surface[2]>zbuff->zbuff[scany][j] || zbuff->zbuff[scany][j] > front) {
            zbuff->zbuff[scany][j]          = surface[2] + CORRECT;
            zbuff->ambientbuff[scany][j][0] = zbuff->ambientbuff[scany][j][1] = zbuff->ambientbuff[scany][j][2] = 1;
            zbuff->ybuff[scany][j][0]       = zbuff->ybuff[scany][j][1] = zbuff->ybuff[scany][j][2] = 0;
         }

      }

   }

   for (i=mtemp[0]; i<mtempx[1]; i++) {
      if (flagray) {
         surface[0] = i;
         surface[2] = engine(ob->normal[ptr->color], surface, parm);
      }

      else {
         surface[2] = mtempz[0];
         mtempz[0] += mdeltaz;
      }

      if (surface[2]>zbuff->zbuff[scany][i] || zbuff->zbuff[scany][i] > front) {
         zbuff->zbuff[scany][i]       = surface[2];
         zbuff->ambientbuff[scany][i][0] = zbuff->ambientbuff[scany][i][1] = zbuff->ambientbuff[scany][i][2] = 0;
         zbuff->ybuff[scany][i][0] = zbuff->ybuff[scany][i][1] = zbuff->ybuff[scany][i][2] = 0;
      }

   }

}
