
/* ************************************************************************
		Copyright (c) 1994-1996 Alex Harper
************************************************************************ */


#include "geo.h"
#include "control.h"
#include "polygon.h"
#include "radiant.h"
#include "sbfast.h"

int subslave::activate() {

   printf("activate subslave %d\n", id);

#ifdef SGI
   child_id = sproc((void (*)(void *))create_subchild, PR_SALL, (void *)this);
#endif

   return 1;
}


int subslave::query_busy() {

   return busy;
}


int subslave::spawn(grandchildtype *param) {

   while (active);

//   printf("Firing off subprocessor #%d %d\n", control->id, id);

   data = param;

   active = 1;

   return 1;
}


void create_subchild(void *owner) {

   subslave *sslave;

   sslave = (subslave *)owner;

   while (1) {
      while (!sslave->active)
         if (sslave->bye)
            return;

//      printf ("Firing off subprocessor %d of %d (%d)\n", sslave->control->id, sslave->id, sslave->active);

      sslave->busy = 1;
      sslave->active = 0;

      switch (sslave->data->source->query_whatami()) {
         case POLYGON:
         case RADIANT:
         case SPHERE:
         case CYLINDER:
         case CONE:
         case SBFAST:
            sslave->data->source->colorize(sslave->data);
            break;

         default:
            sslave->data->done = 1;
            break;
      }

      sslave->busy = 0;
   }

}

