
/* ************************************************************************
		Copyright (c) 1994-1996 Alex Harper
************************************************************************ */





#if !defined __CAMERA_H
#define __CAMERA_H


#include "eye.h"


/* *************************************************************
************************************************************* */


class camera : public eye {                          // camera data

   public:
      float coa[3];                    // center of attention

      camera *next;

      int   parse(FILE *infile, char *token);
      void  preprocess();

      void  read_def(FILE *infile);
      void  read_data(FILE *infile);
      void  write_lst(FILE *outfile, int frameno);
      void  dump();
      void  load_def();

      camera() {
	 copyarray3(coa, location);
         coa[2] -= 1;

         next = (camera *)NULL;
      }

      camera(camera *x) {
	 copyarray3(coa, location);
         coa[2] -= 1;
         copyarray4(vrc, x->vrc);
         mscale = x->mscale;

         next = (camera *)NULL;
      }

};


typedef camera * cameraptrtype;

#endif

