
/* ************************************************************************
		Copyright (c) 1994-1996 Alex Harper
************************************************************************ */





#if !defined (__CYLINDER_H)
#define __CYLINDER_H

#include "geo.h"


/* *************************************************************
************************************************************* */
class cylinder : public geo {

   protected:
      float length, radius;

      float calc_area();

      void transform(eye *parm);

      void pg(eye *parm, light *lparm, zbuffer *zbuff, int inc);
      void lt(light *lparm, int inc);
      void geo2poly(texpolygon **ptob, shaderlisttype *slist);

   public:
      cylinder() {
         length = radius = 1;
      }

      rendertype query_whatami() { return CYLINDER; }

      int parse(FILE *infile, char *token);

      int read_data(FILE *infile) { 
         fscanf(infile, "%f %f", &length, &radius);
         length *= 0.5;

         return 1;
      }

};

#endif
