
/* ************************************************************************
		Copyright (c) 1994-1996 Alex Harper
************************************************************************ */


#include <string.h>
#include "texture.h"
#include "global.h"


int texvid::read_texture(char *filename, texbase **tptr) {

   if (!read_data(filename))    // read rgb
      if (!read_tiff(filename))
         if (!read_gif(filename))
            if (!read_ppm(filename))
               if (!read_jpg(filename))
                  if (!read_ilbm(filename))
                     return 0;

   return 1;
}

/*
	Assumption - x, y w/in parameters...
*/
unsigned int texvid::query_texel(int x, int y, float *color, int frame) {

   int i;

   if (tob == (texture *)NULL)
      return 0;

   if (frame >= count) {
      if (vpflag == VIDONE)
         return tob[count-1].query_texel(x,y,color,count-1);

      i = frame % count;
      return tob[i].query_texel(x,y,color,i);
   } 

   return tob[frame].query_texel(x,y,color,frame);
}
